<?php
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('请不要直接访问这个页面。谢谢！');

	if (!empty($post->post_password)) {
		if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) { ?>
			<p class="center">内容已设置密码保护，请输入密码以查看评论。<p>
		<?php return; }
	}
	$oddcomment = 'alt';
?>

<p><?php comments_rss_link(__('<abbr title="Really Simple Syndication">RSS</abbr> feed for comments on this post.')); ?>
<?php if ( pings_open() ) : ?>
	<a href="<?php trackback_url() ?>" rel="trackback"><?php _e('TrackBack <abbr title="Universal Resource Locator">URL</abbr>'); ?></a>
<?php endif; ?>
</p>

<?php if ($comments) : ?>

	<h3 id="comments">&#8220;<?php the_title(); ?>&#8221; <?php comments_number('暂无评论', '1 条评论', '% 条评论');?></h3>

	<ul class="commentlist">
	
	<?php $relax_comment_count=1; ?>
	<?php foreach ($comments as $comment) : ?>

		<li id="comment-<?php comment_ID() ?>">
			<div class="<?php echo $oddcomment; ?>">
			<?php if (function_exists('gravatar')) { ?>
				<span class="commentavatar"><?php if (function_exists('gravatar')) { gravatar_image_link(); } ?></span>
			<?php } ?>
				<span class="commentcount"><?php echo $relax_comment_count; ?></span>
				<span class="commentauthor"><?php comment_author_link() ?></span>
				<?php edit_comment_link('编辑',' | ',''); ?><br />
				<span class="commentdate"><a href="#comment-<?php comment_ID() ?>" title=""><?php comment_date('Y-m-j l g:i A') ?></a></span>
				<?php if ($comment->comment_approved == '0') : ?>
				<em>您的评论正在等待审核</em>
				<?php endif; ?>
				<div class="commenttext"><?php comment_text() ?></div>
			</div>
		</li>
		
	<?php $relax_comment_count++; ?>

	<?php /* Changes every other comment to a different class */
		if ('alt' == $oddcomment) $oddcomment = 'alttwo';
		else $oddcomment = 'alt';
	?>

	<?php endforeach; /* end for each comment */ ?>

	</ul>

 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">评论关闭中</p>

	<?php endif; ?>
<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>

<h3 id="respond">发表一条评论</h3>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>您必须 <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">登录</a> 才能发表评论 </p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<p><?php if (class_exists('emotions')) {emotions::bar();}?></p>

<?php if ( $user_ID ) : ?>

<p>登录<a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="注销当前帐号">注销 &raquo;</a></p>
<p><?php if (function_exists(show_authimage)) { ?>
	<label for="code">验码证 </label><input type="text" name="code" id="code" value="" tabindex="6" />
	<?php echo show_authimage(); } ?>
</p>

<?php else : ?>

<p>
	<label for="author">姓名 <?php if ($req) echo "(required)"; ?></label><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" tabindex="1" />&nbsp;
	<label for="email">邮箱 <?php if ($req) echo "(required)"; ?></label><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" tabindex="2" /> 不会公开
	<br />
	<label for="url">网站 </label><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" tabindex="3" />&nbsp;
	<?php if (function_exists(show_authimage)) { ?>
	<label for="code">验证 </label><input type="text" name="code" id="code" value="" tabindex="6" />	
	<?php echo show_authimage(); } ?>
</p>

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> You can use these tags: <?php echo allowed_tags(); ?></small></p>-->

<p><textarea name="comment" id="comment" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="发表评论" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>

<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
