<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>

<!-- Meta Tags -->
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<meta name="description" content="<?php bloginfo('name'); ?> — <?php bloginfo('description'); ?>" />

<!-- Favicon -->
<link rel="shortcut icon" href="favicon.ico" />

<!-- CSS -->
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />

<!-- RSS -->
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<!-- WordPress Tags -->
<?php wp_head(); ?>
</head>
<body>
<a name="top" id="top"></a>
<div id="topheader"><!-- 页面头部开始 -->
	<ul id="menu">
		<?php wp_list_pages('depth=1&title_li='); ?>
		<li><a href="<?php echo get_settings('home'); ?>/" title="首页"><?php _e('首页'); ?></a></li>
	</ul>
</div>

<div id="header">
	<div id="innerheader">
		<a href="<?php echo get_settings('home'); ?>/" title="首页"><img id="logo" src="<?php bloginfo('stylesheet_directory'); ?>/images/logo.jpg" alt="koryi" /></a>
		<div class="sidebar-top">
			<div class="feed">
				<h3>订阅本站</h3>
				<a href="<?php bloginfo('rss2_url'); ?>" title="feed"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/feed.gif" alt="feed" /></a>
			</div>
		</div>
	</div>
</div><!-- 页面头部结束 -->

<div id="wrapper"><!-- 页面层开始 -->
<div id="innerwrapper"><!-- 页面主体开始 -->